KDD Cup 2020 AutoGraph Challenge Forum

Go back to competition Back to thread list Post in this thread

> Is there any docker environment, compatible with baseline code?

Hi,
I am using the docker from https://www.automl.ai/competitions/3#learn_the_details
docker run --gpus=0 -it --rm -v "$(pwd):/app/autograph" -w /app/autograph nehzux/kddcup2020:v2
But inside docker image, when I try to run: /app/codalab/starting_kit# python run_local_test.py
I've got error: "Please reinstall the torch_sparse that matches your PyTorch install"
I've tried to uninstall/install different versions of torch_sparse and torch without success.
Is there any other docker version, compatible with the baseline python code?

Posted by: Bonum @ May 18, 2020, 9:08 a.m.

Let me add that I don't have gpu device, thus the original docker repository nehzux/kddcup2020:v2 cannot be run. I ran the older one: wahaha909/autonlp:gpu with the inconsistencies above. Thus, to clarify, the question is: Is there any docker repository in which I can run run_local_test.py on my laptop, not having GPU?

Posted by: Bonum @ May 18, 2020, 10:38 a.m.

Hi,

The packages are installed for CUDA support. That's the reason for reporting error on non-GPU device. We don't explicitly provide a non-GPU docker. If you use your own docker or an old one, as long as the program runs without error (if there is missing package, you could pip install), you could still develop offline and then submit to our server.

Best regards,
KDD Cup 2020 AutoGraph Organizing Team

Posted by: automlai @ May 19, 2020, 3:31 a.m.
Post in this thread